List structured data fields
curl --request GET \
--url https://api.sandbox.asapp.com/configuration/v1/structured-data-fields \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>'import requests
url = "https://api.sandbox.asapp.com/configuration/v1/structured-data-fields"
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};
fetch('https://api.sandbox.asapp.com/configuration/v1/structured-data-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"structuredDataFields": [
{
"id": "q_promotion_was_offered",
"name": "Promotion was offered",
"categoryId": "OUTCOME",
"type": "QUESTION",
"question": {
"question": "Did the agent offer the correct promotion?"
},
"active": true
}
],
"nextCursor": "e_product",
"prevCursor": "q_call_transferred"
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}Structured Data Fields
List structured data fields
Retrieves a list of all configured structured data fields.
GET
/
configuration
/
v1
/
structured-data-fields
List structured data fields
Query Parameters
Filter by active or non active redaction entities
The cursor pointing to the current position
The maximum amount of objects to retrieve
Required range:
1 <= x <= 100Response
Get all structured data fields.
Structured data fields list
- Question
- Entity
Show child attributes
Show child attributes
Example:
{
"id": "q_promotion_was_offered",
"name": "Promotion was offered",
"categoryId": "OUTCOME",
"type": "QUESTION",
"question": {
"question": "Did the agent offer the correct promotion?"
},
"active": true
}The next cursor to fetch
Example:
"6b29fc40-ca47-1067-b31d-00dd010662da"
The previous cursor to fetch
Example:
"04719ebd-13e1-40e9-8b92-0941cd16a19c"
Was this page helpful?
⌘I